
function Camera_list()
{
	CreateSimpleWnd("List_camera_list", "175", "190", "450", "220");
}

function Remote_internet_access()
{
	CreateRadioButton("Enable_alpha_radio_enable", "Remote_internet", "370", "255", "20", "20", false);
	CreateRadioButton("Enable_alpha_radio_disable", "Remote_internet", "370", "285", "20", "20", false);
	CreateSpanText("", Remote_Internet_Yes, "400", "257", "100", "20");
	CreateSpanText("", Remote_Internet_No, "400", "287", "100", "20");
}

function Authentication()
{
	CreateSpanText("", Authentication_ID, "320", "200", "150", "20");
	CreateSpanText("", Authentication_PW, "320", "260", "150", "20");
	CreateEdit("Authentication_id", "320", "225", "150", "20");
	CreatePassword("Authentication_password", "320", "285", "150", "20");	
	document.getElementById("Authentication_id").maxLength = 31;
	document.getElementById("Authentication_password").maxLength = 31;
	CreateSpanText("Hint", Network_Hint, "165", "350", "470", "80");
	document.getElementById("Hint").style.fontWeight = 400;
	document.getElementById("Hint").style.fontSize = 14;
}

function Authentication_default_password(PW)
{
	CreateSpanText("Default_PW", "", "480", "287", "250", "20");
	var Default_password;
	
	if(PW == "")
		Default_password = "(" + Authentication_Default + " :&nbsp &nbsp &nbsp &nbsp &nbsp &nbsp &nbsp)";
	else
		Default_password = "(" + Authentication_Default + " : " + PW + ")";
	document.getElementById("Default_PW").innerHTML = Default_password;
}

function Change_password()
{
	CreateCheckBox("Change_authentication_check_change", "285", "220", "20", "20");
	CreateSpanText("", Change_Password, "320", "220", "150", "20");
	CreateSpanText("", New_Password, "320", "260", "150", "20");
	CreateSpanText("", Confirm_Password, "320", "320", "150", "20");
	CreatePassword("Change_authentication_new_password", "320", "285", "150", "20");
	CreatePassword("Change_authentication_confirm_password", "320", "345", "150", "20");
	document.getElementById("Change_authentication_new_password").maxLength = 31;
	document.getElementById("Change_authentication_confirm_password").maxLength = 31;
}

function Remote_internet_setup()
{
	CreateProgress("Alpha_progress_progressbar", "150", "260", "500", "25", true);
}

function Remote_internet_setup_progress(Step)
{
	var ProgressWidth = 500;
	if(Step > 100)
		Step = 100;
	var StepWidth = (ProgressWidth * Step) / 100;
	CreateProgress("", "150", "260", StepWidth, "25", false);
}

function Remote_internet_success()
{
	CreateSimpleWnd("Alpha_success_live_view", "250", "170", "300", "220");
	
//	CreateLink("Alpha_success_alias_link", Remote_Alias, "585", "395", "150", "20", "#000000");
//	document.getElementById("Alpha_success_alias_link").style.textAlign = "center";
}

function Remote_internet_success_url(DDNS_URL)
{
	CreateLink("Alpha_success_url", DDNS_URL, "250", "395", "300", "20", "#000000");
	document.getElementById("Alpha_success_url").style.textAlign = "center";
}

function Remote_internet_fail_message()
{
	CreateLink("Alpha_fail_help", Remote_Fail_Help, "274", "158", "100", "20", "#FF7744");
	document.getElementById("Alpha_fail_help").style.textAlign = "center";
	
//	CreateLink("Alpha_fail_alias_link", Remote_Alias, "325", "340", "150", "20", "#000000");
//	document.getElementById("Alpha_fail_alias_link").style.textAlign = "center";
	
//	document.getElementById('Alpha_fail_alias').style.visibility = 'visible';	
	document.getElementById("Alpha_fail_description").innerHTML = Page_Alpha_Fail_Description_Partial;
}

function Remote_internet_fail_link(DDNS_URL)
{
	CreateLink("Alpha_fail_url", DDNS_URL, "250", "270", "300", "20", "#000000");
	document.getElementById("Alpha_fail_url").style.textAlign = "center";
}

function Network_environment()
{
	
	CreateRadioButton("Network_environment_radio_dhcp", "Wired", "150", "280", "20", "20", false);	
	CreateSpanText("", Network_DHCP, "180", "282", "70", "20");
	CreateSpanText("DHCP_Description", DHCP_Description, "250", "282", "380", "20");
	document.getElementById("DHCP_Description").style.fontWeight = 400;
	document.getElementById("DHCP_Description").style.fontSize = 16;
	
	CreateRadioButton("Network_environment_radio_fixedip", "Wired", "150", "340", "20", "20", false);
	CreateSpanText("", Network_FixedIP, "180", "342", "70", "20");
	CreateSpanText("FixedIP_Description", FixedIP_Description, "250", "342", "380", "20");
	document.getElementById("FixedIP_Description").style.fontWeight = 400;
	document.getElementById("FixedIP_Description").style.fontSize = 16;
}

function Network_environment_PPPoE()
{
	CreateRadioButton("Network_environment_radio_pppoe", "Wired", "150", "200", "20", "20", false);
	CreateSpanText("", Network_PPPoE, "180", "202", "70", "20");
	CreateSpanText("PPPoE_Description", PPPoE_Description, "250", "202", "380", "20");
	document.getElementById("PPPoE_Description").style.fontWeight = 400;
	document.getElementById("PPPoE_Description").style.fontSize = 16;
}

function Wired_PPPoE()
{
	CreateSpanText("", PPPoE_Username, "300", "210", "150", "20");
	CreateSpanText("", PPPoE_PW, "300", "270", "150", "20");
	CreateSpanText("", PPPoE_Confirm_PW, "300", "330", "150", "20");
	CreateEdit("Wired_pppoe_user_name", "300", "235", "200", "20");
	CreatePassword("Wired_pppoe_password", "300", "295", "200", "20");
	CreatePassword("Wired_pppoe_confirm_password", "300", "355", "200", "20");
	document.getElementById("Wired_pppoe_user_name").maxLength = 63;
	document.getElementById("Wired_pppoe_password").maxLength = 63;
	document.getElementById("Wired_pppoe_confirm_password").maxLength = 63;
}

function Fixed_IP()
{
	CreateSpanText("", IP, "250", "230", "150", "20");
	CreateSpanText("", Subnet_Mask, "250", "260", "150", "20");
	CreateSpanText("", Gateway, "250", "290", "150", "20");
	CreateSpanText("", Pri_DNS, "250", "320", "150", "20");
	CreateSpanText("", Sec_DNS, "250", "350", "150", "20");
	CreateEdit("Wired_fixedip_ip", "400", "230", "150", "20");
	CreateEdit("Wired_fixedip_mask", "400", "260", "150", "20");
	CreateEdit("Wired_fixedip_gateway", "400", "290", "150", "20");
	CreateEdit("Wired_fixedip_primary_dns", "400", "320", "150", "20");
	CreateEdit("Wired_fixedip_secondary_dns", "400", "350", "150", "20");
	document.getElementById("Wired_fixedip_ip").maxLength = 15;
	document.getElementById("Wired_fixedip_mask").maxLength = 15;
	document.getElementById("Wired_fixedip_gateway").maxLength = 15;
	document.getElementById("Wired_fixedip_primary_dns").maxLength = 15;
	document.getElementById("Wired_fixedip_secondary_dns").maxLength = 15;
}

function Enable_wireless()
{
	CreateRadioButton("Enable_wireless_radio_enable", "Wireless", "230", "255", "20", "20", false);
	CreateRadioButton("Enable_wireless_radio_disable", "Wireless", "230", "285", "20", "20", false);
	CreateSpanText("", Enable_Wireless, "260", "257", "350", "20");
	CreateSpanText("", Disable_Wireless, "260", "287", "350", "20");
}

function Wireless_mode()
{
	CreateRadioButton("Wireless_mode_radio_wps", "Wireless_mode", "280", "285", "20", "20", false);
	CreateRadioButton("Wireless_mode_radio_manual", "Wireless_mode", "280", "315", "20", "20", false);
	CreateSpanText("", WPS_Setup, "310", "287", "250", "20");
	CreateSpanText("", Manual_Setup, "310", "317", "250", "20");
}

function Wireless_WPS(bPBC, bPIN)
{
	if(bPBC == true && bPIN == false)
	{
		CreateRadioButton("Wireless_wps_radio_pbc", "Wireless_WPS", "230", "280", "20", "20", true);
		CreateSpanText("", WPS_PBC, "260", "282", "350", "20");
	}
	if(bPBC == false && bPIN == true)
	{
		CreateRadioButton("Wireless_wps_radio_pin", "Wireless_WPS", "230", "265", "20", "20", true);
		CreateSpanText("", WPS_PIN, "260", "267", "350", "20");
		CreateEdit("Wireless_wps_pin_code", "260", "300", "200", "20");
		document.getElementById("Wireless_wps_pin_code").maxLength = 8;
	}
	if(bPBC == true && bPIN == true)
	{
		CreateRadioButton("Wireless_wps_radio_pbc", "Wireless_WPS", "230", "255", "20", "20", true);
		CreateRadioButton("Wireless_wps_radio_pin", "Wireless_WPS", "230", "285", "20", "20", false);
		CreateSpanText("", WPS_PBC, "260", "257", "350", "20");
		CreateSpanText("", WPS_PIN, "260", "287", "350", "20");
		CreateEdit("Wireless_wps_pin_code", "260", "320", "200", "20");
		document.getElementById("Wireless_wps_pin_code").maxLength = 8;
	}
}

function Wireless_WPS_setup()
{
	CreateProgress("Wireless_wps_progressbar", "150", "360", "500", "25", true);
}

function Wireless_WPS_setup_progress(Step)
{
	var ProgressWidth = 500;
	if(Step > 100)
		Step = 100;
	var StepWidth = (ProgressWidth * Step) / 100;
	CreateProgress("", "150", "360", StepWidth, "25", false);
}

function Wireless_manual()
{
	CreateSpanText("Wireless_manual_AP", Wireless_AP, "250", "200", "120", "20");
	CreateSpanText("", Wireless_SSID, "250", "230", "120", "20");
	CreateSpanText("", Wireless_Mode, "250", "260", "120", "20");
	CreateSpanText("", Wireless_Channel, "250", "290", "120", "20");
	CreateSpanText("", Wireless_Authentication, "250", "320", "120", "20");
	CreateSpanText("", Wireless_Encryption, "250", "350", "120", "20");
	CreateSpanText("", Wireless_key, "250", "380", "120", "20");
	
	CreateComboBox("Wireless_manual_combo_sitesurvey", "400", "200", "150", "25");
	CreateImage("Wireless_manual_image_strength", "./images/signal_0.gif", "560", "200", "27", "20");
	CreateEdit("Wireless_manual_ssid", "400", "230", "144", "16");
	CreateComboBox("Wireless_manual_combo_mode", "400", "260", "150", "25");
	CreateComboBox("Wireless_manual_combo_channel", "400", "290", "150", "25");
	CreateComboBox("Wireless_manual_combo_authentication", "400", "320", "150", "25");
	CreateComboBox("Wireless_manual_combo_encryption", "400", "350", "150", "25");
	CreatePassword("Wireless_manual_key", "400", "380", "144", "16");
	
	document.getElementById("Wireless_manual_ssid").maxLength = 32;
	
	document.getElementById('Wireless_manual_AP').style.visibility = 'hidden';
	document.getElementById('Wireless_manual_combo_sitesurvey').style.visibility = 'hidden';
	document.getElementById('Wireless_manual_image_strength').style.visibility = 'hidden';
}

function Wireless_manual_SiteSurvey()
{
	document.getElementById('Wireless_manual_AP').style.visibility = 'visible';
	document.getElementById('Wireless_manual_combo_sitesurvey').style.visibility = 'visible';
	document.getElementById('Wireless_manual_image_strength').style.visibility = 'visible';
	document.getElementById('Wireless_manual_sitesurvey').style.visibility = 'visible';
}

function Camera_name()
{
	CreateSpanText("", Camera_Name, "315", "230", "150", "20");	
	CreateEdit("Camera_name_time_cameraname", "315", "255", "173", "20");
	document.getElementById("Camera_name_time_cameraname").maxLength = 63;	
}

function Camera_time()
{
	CreateSpanText("", Camera_Time, "315", "290", "150", "20");
	CreateSimpleWnd("Camera_name_time_cameradate", "315", "315", "180", "30");
	CreateSimpleWnd("Camera_name_time_cameratime", "315", "355", "180", "30");
	document.getElementById("Camera_name_time_copytime").style.visibility = 'visible';	
	document.getElementById("Camera_name_time_description").innerHTML = Camera_Time_Description;
}

function Setup_preview(bWireless, iWired, bWPS, bSupportWireless)
{
	var PosLeft;
	var PosTop;
	
	if(bWireless == true)
	{
		if(iWired == 2)
		{
			PosLeft = 420;
			PosTop = 140;
		}
		else
		{
			PosLeft = 420;
			PosTop = 170;
		}
		
		CreateSpanText("", Setting_Wireless + " : ", PosLeft, PosTop, "100", "20");
		PosLeft = PosLeft + 20;
		PosTop = PosTop + 30;
		CreateSpanText("", Wireless_SSID, PosLeft, PosTop, "120", "20");
		CreateSpanText("", Wireless_Mode, PosLeft, PosTop + 30, "120", "20");
		CreateSpanText("", Wireless_Channel, PosLeft, PosTop + 60, "120", "20");
		CreateSpanText("", Wireless_Authentication, PosLeft, PosTop + 90, "120", "20");
		CreateSpanText("", Wireless_Encryption, PosLeft, PosTop + 120, "120", "20");
		CreateSpanText("", Wireless_key, PosLeft, PosTop + 150, "120", "20");
		
		CreateEdit("Setting_preview_wireless_ssid", PosLeft + 125, PosTop - 2, "120", "20");
		CreateEdit("Setting_preview_wireless_mode", PosLeft + 125, PosTop + 28, "120", "20");
		CreateEdit("Setting_preview_wireless_channel", PosLeft + 125, PosTop + 58, "120", "20");
		CreateEdit("Setting_preview_wireless_auth", PosLeft + 125, PosTop + 88, "120", "20");
		CreateEdit("Setting_preview_wireless_encryption", PosLeft + 125, PosTop + 118, "120", "20");
		CreatePassword("Setting_preview_wireless_key", PosLeft + 125, PosTop + 148, "120", "20");
		
		document.getElementById('Setting_preview_wireless_ssid').disabled = true;
		document.getElementById('Setting_preview_wireless_mode').disabled = true;
		document.getElementById('Setting_preview_wireless_channel').disabled = true;
		document.getElementById('Setting_preview_wireless_auth').disabled = true;
		document.getElementById('Setting_preview_wireless_encryption').disabled = true;
		document.getElementById('Setting_preview_wireless_key').disabled = true;
		
		if(iWired == 2)
		{
			PosLeft = 110;
			PosTop = 140;
		}
		else
		{
			PosLeft = 110;
			PosTop = 170;
		}
	}
	else
	{
		if(iWired == 2)
		{
			PosLeft = 110;
			PosTop = 170;
		}
		else
		{
			PosLeft = 250;
			PosTop = 170;
		}
	}
	
	if(iWired == 1)
	{
		CreateSpanText("", Setting_Wired + " : ", PosLeft, PosTop, "120", "20");
		CreateEdit("Setting_preview_wired", PosLeft + 125, PosTop - 2, "120", "20");
		document.getElementById('Setting_preview_wired').value = Wired_DHCP;
		document.getElementById('Setting_preview_wired').disabled = true;
		
		PosTop = PosTop + 30;
	}
	if(iWired == 2)
	{
		CreateSpanText("", Setting_Wired + " : ", PosLeft, PosTop, "100", "20");
		PosLeft = PosLeft + 20;
		PosTop = PosTop + 30;
		
		CreateSpanText("", IP, PosLeft, PosTop, "130", "20");
		CreateSpanText("", Subnet_Mask, PosLeft, PosTop + 30, "130", "20");
		CreateSpanText("", Gateway, PosLeft, PosTop + 60, "130", "20");
		CreateSpanText("", Pri_DNS, PosLeft, PosTop + 90, "130", "20");
		CreateSpanText("", Sec_DNS, PosLeft, PosTop + 120, "130", "20");
		
		CreateEdit("Setting_preview_fixedip_ip", PosLeft + 135, PosTop - 2, "120", "20");
		CreateEdit("Setting_preview_fixedip_mask", PosLeft + 135, PosTop + 28, "120", "20");
		CreateEdit("Setting_preview_fixedip_gateway", PosLeft + 135, PosTop + 58, "120", "20");
		CreateEdit("Setting_preview_fixedip_dns1", PosLeft + 135, PosTop + 88, "120", "20");
		CreateEdit("Setting_preview_fixedip_dns2", PosLeft + 135, PosTop + 118, "120", "20");
		
		document.getElementById('Setting_preview_fixedip_ip').disabled = true;
		document.getElementById('Setting_preview_fixedip_mask').disabled = true;
		document.getElementById('Setting_preview_fixedip_gateway').disabled = true;
		document.getElementById('Setting_preview_fixedip_dns1').disabled = true;
		document.getElementById('Setting_preview_fixedip_dns2').disabled = true;
		
		PosLeft = PosLeft - 20;
		PosTop = PosTop + 150;
		
		if(bWireless == false)
		{
			PosLeft = 420;
			PosTop = 170;
		}
	}
	if(iWired == 3)
	{
		CreateSpanText("", Setting_Wired + " : ", PosLeft, PosTop, "100", "20");
		
		PosLeft = PosLeft + 20;			
		PosTop = PosTop + 30;
		
		CreateSpanText("", PPPoE_ID, PosLeft, PosTop, "150", "20");
		CreateSpanText("", PPPoE_PASSWORD, PosLeft, PosTop + 30, "150", "20");
		
		CreateEdit("Setting_preview_pppoe_id", PosLeft + 145, PosTop - 2, "120", "20");
		CreatePassword("Setting_preview_pppoe_password", PosLeft + 145, PosTop + 28, "120", "20");
		
		document.getElementById('Setting_preview_pppoe_id').disabled = true;
		document.getElementById('Setting_preview_pppoe_password').disabled = true;
		
		PosLeft = PosLeft - 20;			
		PosTop = PosTop + 60;
	}
	
	CreateSpanText("", Camera_Name + " : ", PosLeft, PosTop, "130", "20");
	CreateSpanText("", Camera_Date + " : ", PosLeft, PosTop + 30, "130", "20");
	CreateSpanText("", Camera_Time + " : ", PosLeft, PosTop + 60, "130", "20");
	
	if(iWired == 1)
	{
		CreateEdit("Setting_preview_basic_cameraname", PosLeft + 125, PosTop - 2, "120", "20");
		CreateEdit("Setting_preview_basic_cameradate", PosLeft + 125, PosTop + 28, "120", "20");
		CreateEdit("Setting_preview_basic_cameratime", PosLeft + 125, PosTop + 58, "120", "20");
	}
	else if(iWired == 2)
	{
		CreateEdit("Setting_preview_basic_cameraname", PosLeft + 155, PosTop - 2, "120", "20");
		CreateEdit("Setting_preview_basic_cameradate", PosLeft + 155, PosTop + 28, "120", "20");
		CreateEdit("Setting_preview_basic_cameratime", PosLeft + 155, PosTop + 58, "120", "20");
	}
	
	else if(iWired == 3)
	{
		CreateEdit("Setting_preview_basic_cameraname", PosLeft + 165, PosTop - 2, "120", "20");
		CreateEdit("Setting_preview_basic_cameradate", PosLeft + 165, PosTop + 28, "120", "20");
		CreateEdit("Setting_preview_basic_cameratime", PosLeft + 165, PosTop + 58, "120", "20");
	}
	
	document.getElementById('Setting_preview_basic_cameraname').disabled = true;
	document.getElementById('Setting_preview_basic_cameradate').disabled = true;
	document.getElementById('Setting_preview_basic_cameratime').disabled = true;
	
	if((bSupportWireless == true) && (bWireless == false))
	{
		CreateSpanText("", Setting_Wireless + " : ", PosLeft, PosTop + 90, "130", "20");
		
		if(iWired == 1)
			CreateEdit("Setting_preview_wireless", PosLeft + 125, PosTop + 88, "120", "20");
		else if(iWired == 2)
			CreateEdit("Setting_preview_wireless", PosLeft + 155, PosTop + 88, "120", "20");
		else if(iWired == 3)
			CreateEdit("Setting_preview_wireless", PosLeft + 165, PosTop + 88, "120", "20");
		
		if(bWPS == true)
			document.getElementById('Setting_preview_wireless').value = Wireless_Use_WPS;
		else
			document.getElementById('Setting_preview_wireless').value = Wireless_Disable;
			
		document.getElementById('Setting_preview_wireless').disabled = true;
	}	
}

function Camera_setup()
{
	CreateProgress("Setting_progress_progressbar", "150", "260", "500", "25", true);
}

function Camera_setup_progress(Step)
{
	var ProgressWidth = 500;
	if(Step > 100)
		Step = 100;
	var StepWidth = (ProgressWidth * Step) / 100;
	CreateProgress("", "150", "260", StepWidth, "25", false);
}

function Camera_setup_success_url(IP_URL)
{
	CreateLink("Setting_success_url", IP_URL, "250", "290", "300", "20", "#000000");
	document.getElementById("Setting_success_url").style.textAlign = "center";
}

function Camera_setup_fail_network(Fail_Report)
{
	document.getElementById("Setting_fail_description").innerHTML = Fail_Report;
}

function Camera_setup_fail_message(MSG1, MSG2, MSG3, MSG4, MSG5)
{
	var message = MSG1 + "<br />" + MSG2 + "<br />" + MSG3 + "<br />" + MSG4 + "<br />" + MSG5;
	CreateSpanText("Setting_fail_message", "", "250", "240", "300", "100");
	document.getElementById("Setting_fail_message").innerHTML = message;
	document.getElementById("Setting_fail_message").style.textAlign = "center";
}

function Linking_mode()
{
	CreateRadioButton("Linking_mode_radio_wired", "LinkMode", "320", "255", "20", "20", false);
	CreateRadioButton("Linking_mode_radio_wireless", "LinkMode", "320", "285", "20", "20", false);
	CreateSpanText("", Link_Mode_Wired, "350", "257", "400", "20");
	CreateSpanText("", Link_Mode_Wireless, "350", "287", "400", "20");
}

function Link_test()
{
	CreateProgress("Link_progress_progressbar", "150", "260", "500", "25", true);
}

function Link_test_progress(Step)
{
	var ProgressWidth = 500;
	if(Step > 100)
		Step = 100;
	var StepWidth = (ProgressWidth * Step) / 100;
	CreateProgress("", "150", "260", StepWidth, "25", false);
}

function Wireless_fail()
{
	CreateRadioButton("Wireless_fail_radio_retry_wireless", "WirelessFail", "310", "255", "20", "20", true);
	CreateRadioButton("Wireless_fail_radio_use_wired", "WirelessFail", "310", "285", "20", "20", false);
	CreateSpanText("", Wireless_Fail_Retry, "340", "257", "400", "20");
	CreateSpanText("", Wireless_Fail_Use_Wired, "340", "287", "400", "20");
}

function Change_settings()
{	
	CreateRadioButton("Change_settings_radio_uncahnge", "ChangeSetting", "270", "255", "20", "20", false);
	CreateRadioButton("Change_settings_radio_cahnge", "ChangeSetting", "270", "285", "20", "20", false);
	CreateSpanText("", Change_Settings_Unchange, "300", "257", "400", "20");
	CreateSpanText("", Change_Settings_Change, "300", "287", "400", "20");
}

function SetCopyright()
{
	var DivCopyright = document.createElement("div");
	DivCopyright.style.position = 'absolute';
	DivCopyright.style.left = 500;
	DivCopyright.style.top = 480;
	DivCopyright.style.width = 300;
	DivCopyright.style.height = 20;
	DivCopyright.style.color = '#FFFFFF';
	DivCopyright.style.fontSize = 12;
	DivCopyright.style.fontFamily = 'Arial, Helvetica, sans-serif';
	DivCopyright.style.fontWeight = 700;

	var cText = document.createTextNode(CopyRight);
	DivCopyright.appendChild(cText);
	
	document.body.insertBefore(DivCopyright);	
}