function CreateSimpleWnd(ObjectID, PosLeft, PosTop, PosWidth, PosHeight)
{
	var Obj = document.createElement("object");
	Obj.id = ObjectID;
	Obj.style.position = 'absolute';
	Obj.style.left = PosLeft;
	Obj.style.top = PosTop;
	Obj.style.width = PosWidth;
	Obj.style.height = PosHeight;
	Obj.style.backgroundColor = '#000000';
	Obj.classid = 'CLSID:A407A6B6-59B1-465F-861E-6B78E8F79729';
	
	document.body.appendChild(Obj);	
}

function CreateComboBox(ComboID, PosLeft, PosTop, PosWidth, PosHeight)
{
	// Create the element
	var combo_box = document.createElement('select');
	
	// Set some properties:
	combo_box.id = ComboID;
	combo_box.style.position = 'absolute';
	combo_box.style.left = PosLeft;
	combo_box.style.top = PosTop;
	combo_box.style.width = PosWidth;
	combo_box.style.height = PosHeight;
	
	document.body.appendChild(combo_box);
}

function CreateEdit(EditID, PosLeft, PosTop, PosWidth, PosHeight)
{
	var Edit = document.createElement("<input type = 'text'>");
	Edit.id = EditID;
	Edit.style.position = 'absolute';
	Edit.style.left = PosLeft;
	Edit.style.top = PosTop;
	Edit.style.width = PosWidth;
	Edit.style.height = PosHeight;
	
	document.body.insertBefore(Edit);
}

function CreateCheckBox(CheckBoxID, PosLeft, PosTop, PosWidth, PosHeight)
{
	var CheckBox = document.createElement("<input type = 'checkbox'>");
	CheckBox.id = CheckBoxID;
	CheckBox.style.position = 'absolute';
	CheckBox.style.left = PosLeft;
	CheckBox.style.top = PosTop;
	CheckBox.style.width = PosWidth;
	CheckBox.style.height = PosHeight;
	
	document.body.insertBefore(CheckBox);
}

function CreateRadioButton(RadioID, RadioName, PosLeft, PosTop, PosWidth, PosHeight, IsChecked)
{
	var InputElement;
	
	if(IsChecked == true)
		InputElement = "<input type = 'radio' name = '" + RadioName + "' checked>";
	else
		InputElement = "<input type = 'radio' name = '" + RadioName + "'>";
		
	var Radio = document.createElement(InputElement);
	Radio.id = RadioID;
	Radio.style.position = 'absolute';
	Radio.style.left = PosLeft;
	Radio.style.top = PosTop;
	Radio.style.width = PosWidth;
	Radio.style.height = PosHeight;
	
	document.body.insertBefore(Radio);
}

function CreateImage(ImageID, ImageSrc, PosLeft, PosTop, PosWidth, PosHeight)
{
	var ObjImage = document.createElement("<img src = ''>");	
	ObjImage.id = ImageID;
	ObjImage.src = ImageSrc;
	ObjImage.style.position = 'absolute';
	ObjImage.style.left = PosLeft;
	ObjImage.style.top = PosTop;
	ObjImage.style.width = PosWidth;
	ObjImage.style.height = PosHeight;
	
	document.body.insertBefore(ObjImage);	
}

function CreatePassword(PasswordID, PosLeft, PosTop, PosWidth, PosHeight)
{
	var ObjPassword = document.createElement("<input type = 'password'>");
	ObjPassword.id = PasswordID;
	ObjPassword.style.position = 'absolute';
	ObjPassword.style.left = PosLeft;
	ObjPassword.style.top = PosTop;
	ObjPassword.style.width = PosWidth;
	ObjPassword.style.height = PosHeight;
	
	document.body.insertBefore(ObjPassword);
}

function CreateProgress(ProgressID, PosLeft, PosTop, PosWidth, PosHeight, IsBase)
{
	var Progress = document.createElement("<input type = 'text' readonly>");
	Progress.id = ProgressID;
	Progress.style.position = 'absolute';
	Progress.style.left = PosLeft;
	Progress.style.top = PosTop;
	Progress.style.width = PosWidth;
	Progress.style.height = PosHeight;
	
	if(IsBase == true)
		Progress.style.backgroundColor = '#FFFFCC';
	else
		Progress.style.backgroundColor = '#9999FF';

	document.body.insertBefore(Progress);
}

function CreateSpanText(SpanID, SpanContent, PosLeft, PosTop, PosWidth, PosHeight)
{
	var ObjSpan = document.createElement("span");	
	ObjSpan.id = SpanID;
	ObjSpan.style.position = 'absolute';
	ObjSpan.style.left = PosLeft;
	ObjSpan.style.top = PosTop;
	ObjSpan.style.width = PosWidth;
	ObjSpan.style.height = PosHeight;
	
	var cText=document.createTextNode(SpanContent);
	ObjSpan.appendChild(cText);
	
	document.body.insertBefore(ObjSpan);	
}

function CreateLink(LinkID, LinkContent, PosLeft, PosTop, PosWidth, PosHeight, ObjColor)
{
	var InputElement;
	InputElement = "<span onmouseover = '' onmousedown = '' onmouseout = '' style = 'text-decoration:underline; background-color:transparent;' readonly>";
		
	var ObjLink = document.createElement(InputElement);
	ObjLink.id = LinkID;
	ObjLink.style.position = 'absolute';
	ObjLink.style.left = PosLeft;
	ObjLink.style.top = PosTop;
	ObjLink.style.width = PosWidth;
	ObjLink.style.height = PosHeight;
	ObjLink.style.border = 0;
	ObjLink.style.color = ObjColor;

	var MouseAction = "LinkMouseOver('" + LinkID + "')";
	ObjLink.onmouseover = MouseAction;
	MouseAction = "LinkMouseDown('" + LinkID + "')";
	ObjLink.onmousedown = MouseAction;
	MouseAction = "LinkMouseOut('" + LinkID + "','" + ObjColor + "')";
	ObjLink.onmouseout = MouseAction;
	
	var cText=document.createTextNode(LinkContent);
	ObjLink.appendChild(cText);

	document.body.insertBefore(ObjLink);
}

function LinkMouseOver(LinkID)
{
	var obj = document.getElementById(LinkID);
	obj.style.color = '#0066FF';
	obj.style.cursor = 'hand';
}

function LinkMouseDown(LinkID)
{
	var obj = document.getElementById(LinkID);
	obj.style.color = '#CC00CC';
}

function LinkMouseOut(LinkID, ObjColor)
{
	var obj = document.getElementById(LinkID);
	obj.style.color = ObjColor;
}

function CreateImageButton(ButtonID, ButtonSrcOut, ButtonSrcOver, PosLeft, PosTop, PosWidth, PosHeight)
{
	var ImageButton = document.createElement("<input type = 'image' src = '' onmouseover = '' onmousedown = '' onmouseout = ''>");
	ImageButton.id = ButtonID;
	ImageButton.src = ButtonSrcOut;
	ImageButton.style.position = 'absolute';
	ImageButton.style.left = PosLeft;
	ImageButton.style.top = PosTop;
	ImageButton.style.width = PosWidth;
	ImageButton.style.height = PosHeight;
	
	var MouseAction = "ImageButtonMouseOver('" + ButtonID + "','" + ButtonSrcOver + "')";
	ImageButton.onmouseover = MouseAction;
	MouseAction = "ImageButtonMouseOut('" + ButtonID + "','" + ButtonSrcOut + "')";
	ImageButton.onmouseout = MouseAction;

	document.body.insertBefore(ImageButton);
}

function ImageButtonMouseOver(ButtonID, ImageSrc)
{
	var obj = document.getElementById(ButtonID);
	obj.src = ImageSrc;
}

function ImageButtonMouseOut(ButtonID, ImageSrc)
{
	var obj = document.getElementById(ButtonID);
	obj.src = ImageSrc;
}

function CreateImage(ImageID, ImageSrc, PosLeft, PosTop, PosWidth, PosHeight)
{
	var ObjImage = document.createElement("<img src = ''>");	
	ObjImage.id = ImageID;
	ObjImage.src = ImageSrc;
	ObjImage.style.position = 'absolute';
	ObjImage.style.left = PosLeft;
	ObjImage.style.top = PosTop;
	ObjImage.style.width = PosWidth;
	ObjImage.style.height = PosHeight;
	
	document.body.insertBefore(ObjImage);	
}